Bug 1124065 - /usr/bin/gear from geard conflicts with rubygem-openshift-origin-node
Summary: /usr/bin/gear from geard conflicts with rubygem-openshift-origin-node
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-openshift-origin-node
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 22:05 UTC by Troy Dawson
Modified: 2014-10-03 17:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 17:51:07 UTC


Attachments (Terms of Use)

Description Troy Dawson 2014-07-28 22:05:40 UTC
Description of problem:
/usr/bin/gear from geard conflicts with the same file in rubygem-openshift-origin-node

Version-Release number of selected component (if applicable):
geard-0-0.14.git06df437
rubygem-openshift-origin-node-1.18.0.1-2

How reproducible:
100%

Steps to Reproduce:
1. yum install geard rubygem-openshift-origin-node
2.
3.

Actual results:
...
Running transaction check
Running transaction test

Transaction check error:
  file /usr/bin/gear conflicts between attempted installs of geard-0-0.3.gitb31df16.fc20.x86_64 and rubygem-openshift-origin-node-1.18.0.1-1.fc20.noarch

Expected results:

Both packages should be installed.

Additional info:

Comment 1 Lokesh Mandvekar 2014-07-29 00:20:36 UTC
Hmm, so does /usr/bin/gear from either package serve the same purpose? Or is it two totally different files with the same name (kinda like what happened with docker and the previous docker (now wmdocker))?

Comment 2 Lokesh Mandvekar 2014-07-29 00:56:04 UTC
ohh, hmm IIRC, it's 2 different files with the same name :(

Would it work if origin-server maintained its own copy of geard which installed /usr/bin/gear with a different name? Making this change in the default geard fedora package sounds like trouble.

Thoughts?

Comment 3 Troy Dawson 2014-07-29 13:16:42 UTC
I'd like the upstream openshift developers to come to an agreement on who gets the name (maybe neither), and then the fedora packages would reflect whatever happens upstream.  Both packages are for openshift, so I believe an peaceful agreement can be made.

Comment 4 Troy Dawson 2014-07-29 14:13:02 UTC
From Upstream:
geard infrastructure is supposed to replace the older "gear" infrastructure.  That is why they both have the same name.

The cutover is RHEL6 - RHEL7.
RHEL6 will have the older "gear" infrastructure.
RHEL7 will have the newer, geard infrastructure.

Upstream currently doesn't support OpenShift on Fedora.  But we have the packages in Fedora, weather upstream supports them or not.  So, the cutover is Fedora 19 - 20.
Fedora 19 will have the older "gear" infrastructure.
Fedora 20 will have the newer "geard" infrastructure.

If a geard package needs to be made for RHEL6 and/or Fedora 19, the /usr/bin/gear binary should be removed.  This avoids conflict.  It also was not designed to work on an infrastructure without systemd.

Comment 5 Troy Dawson 2014-07-29 14:18:42 UTC
I am re-assigning this bug to the rubygem-openshift-origin-node maintainer (I believe that's me)

Comment 6 Lokesh Mandvekar 2014-09-17 10:15:48 UTC
btw, geard has been retired from fedora, so I guess this won't be an issue much longer apart from the stable branch I think :\

Comment 7 Troy Dawson 2014-10-03 17:51:07 UTC
rubygem-openshift-origin-node has also been retired from Fedora.
Marking thus bug as closed.


Note You need to log in before you can comment on or make changes to this bug.